variables:
  DEBFULLNAME: "Free Ekanayaka"
  DEBEMAIL: "<free@debian.org>"
  DEBIAN_FRONTEND: noninteractive

stages:
  - build
  - test

image: debian:unstable

build package:
  stage: build
  artifacts:
    expire_in: 180 day
    name: "$CI_BUILD_NAME"
    paths:
      - ./*.deb
      - ./*.changes
  script:
    - apt-get update
    - apt-get install eatmydata -y
    - eatmydata apt-get build-dep -y .
    - eatmydata apt-get install git-buildpackage -y
    - git config --global user.name "Free Ekanayaka"
    - git config --global user.email "freee@debian.org"
    - gbp pull --ignore-branch
    - DEB_BUILD_OPTIONS=nocheck gbp buildpackage --git-ignore-branch -us -uc
    - mv  ../build-area/*.deb  ../build-area/*.changes .

run autopkgtest:
  stage: test
  script:
    - apt-get update && apt-get install autopkgtest eatmydata -y --no-install-recommends
    - eatmydata autopkgtest python3-systemfixtures*.deb -- null

run lintian:
  stage: test
  script:
    - apt-get update && apt-get install lintian -y --no-install-recommends
    - lintian -iI *.deb
